Bug 444324 - NM edit set static IP won't allow to save the changes
NM edit set static IP won't allow to save the changes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: NMF9Blockers
  Show dependency treegraph
 
Reported: 2008-04-27 00:52 EDT by David Timms
Modified: 2008-04-30 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 19:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of acceptable values but disabled OK. (161.68 KB, image/png)
2008-04-27 00:52 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-04-27 00:52:10 EDT
Description of problem:
Trying to edit a wired connection. change it to static, and enter details, but
OK becomes disabled

Version-Release number of selected component (if applicable):
kernel-2.6.25-8.fc9.i686
NetworkManager-0.7.0-0.9.2.svn3590.fc9.i386
NetworkManager-glib-0.7.0-0.9.2.svn3590.fc9.i386
NetworkManager-gnome-0.7.0-0.9.2.svn3590.fc9.i386

How reproducible: order of data entry is important.

Steps to Reproduce:
1. right click network icon
2. edit connections|wired|auto ethernet|edit
3. ipv4 settings
4. method=manual
     - result> OK button becomes disabled
5. add|192.168.16.105|255.255.255.0|192.168.16.1
6. click OK {which is greyed out}

Actual results:
nothing happens. user cannot save the settings.

Expected results:
OK should be enabled as soon as a legit ip address is entered.

Additional info:
If you add the address first, then select method=manual, the OK becomes enabled.

If you adjust the connection name={} even to add and then delete a character, so
that the name stays the same - the OK becomes highlighted.

ps. no workarounds!
pps. nice pickup on fixing allowing a maximum manual MTU of 100 in the earlier
version = thought we might have been headed for cell relay !
Comment 1 David Timms 2008-04-27 00:52:10 EDT
Created attachment 303890 [details]
screenshot of acceptable values but disabled OK.
Comment 2 David Timms 2008-04-27 00:53:54 EDT
oops, must have scrolled the component,sorry - fixed.
Comment 3 Dan Williams 2008-04-27 23:57:39 EDT
reproduced, will fix, thanks
Comment 4 Dan Williams 2008-04-28 01:26:29 EDT
fixed upstream in applet r704
Comment 5 Dan Williams 2008-04-30 19:06:35 EDT
in latest koji builds
Comment 6 David Timms 2008-04-30 20:21:37 EDT
In svn3623, the OK button re-enables as soon as both an ip and subnet mask are
entered. Confirmed fixed.

Note You need to log in before you can comment on or make changes to this bug.